Not signed in (Sign In)

Vanilla 1.1.4 is a product of Lussumo. More Information: Documentation, Community Support.

Welcome Guest!
Want to take part in these discussions? If you have an account, sign in now.
If you don't have an account, apply for one now.
    • CommentAuthorDrammattex
    • CommentTimeMay 24th 2020 edited
     
    Installed the latest CC3+ update via Crossover for Mac, which killed my only remaining install.

    Deleted the CC3 bottle and did a fresh install of CC3.

    Rather than start at the beginning again, installing every CC3 product and update, I started by installed individual issues of the Annual 2020.

    When I chose to install the 2015 and 2010 annuals, the InstallAware wizard runs, I get the pre-install message, then then:

    "The Cartographer's Annual Vol 9 is an add-on to Profantasy's CC3 map-making software. Setup cannot continue because it couldn't find CC3 on this system. Please install and run CC3 first."

    Obviously, CC3 is installed and can install issues from the latest annual at the very least.

    Can anyone help?
    •  
      CommentAuthorMonsen
    • CommentTimeMay 24th 2020
     
    Are you using the right installers?

    You say you install CC3, but then you also say you install the 2020 annual issues, which are CC3+ only, so I am not sure which version you are really installing.

    No matter which version though, it is important to use the right annual installers. All the annuals (except the newest ones which are CC3+ only) have separate installers for CC3 and CC3+. If you use the CC3 version when you have CCC3+ installed, you will get that error message, same goes the other way around.
    • CommentAuthorDrammattex
    • CommentTimeMay 25th 2020
     
    Hey Remy, thanks for the reply.
    Sorry, I’m using CC3+ exclusively.

    I used Time Machine to roll back my Crossover bottles to the time before I installed Update 25. If I install Update 25, it will kill my CC3+ installation and I’ll no longer be able to load CC3+. I wish I could remember the error message I get. It’s a message that says something has gone seriously wrong.

    Unfortunately, it’s a familiar message that I’ve encountered a few times over the years as I add more and more to CC3+. I own almost everything, (and have been a user since Campaign Mapper), so the process of downloading/installing everything again is a long one, though I’ve been keeping the downloads and their keys in a folder for when an update breaks the program.

    I wanted to know if anyone else familiar with using Crossover on a Mac has had experience with an update killing CC3+ and if there’s anything that can be done to fix it once it breaks. I realize we’re dealing with so many variables (Crossover version, multiple CC3+ modules, MacOS, and more) but if there’s a solution to be found, it’ll have been worth asking.
    • CommentAuthorsuntzu
    • CommentTimeMay 25th 2020
     
    Just ran a test install of latest cc3+ (3.94) ran cc3+ then installed Vol 9 and ran it , loaded a map from vol 9 no issues found

    my crossover is Version 19.0.1 and i installed it into a fresh and clean bottle Win 7 64bit
    • CommentAuthorDrammattex
    • CommentTimeMay 25th 2020
     
    Thanks, Rob. I will try a clean Win 7 64 bit bottle and see if that fixes things. I'm on Crossover 18.5 and Mojave, so we may not be completely in sync, but I'll give it a shot.
    • CommentAuthorsuntzu
    • CommentTimeMay 25th 2020
     
    Good luck , once you get it all installed export that bottle to archive and store somewhere safe just in case
    • CommentAuthorDrammattex
    • CommentTimeMay 25th 2020
     
    Thanks again, Rob. I totally forgot I can do that. I remember you mentioning it a few years ago, and I did it then. Have to remember where I stored it. Thanks for your help.